local L = LibStub("AceLocale-3.0"):GetLocale("RaidInviter")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");

RaidInviter.fonteffects = {
	["none"] = L["none"],
	["OUTLINE"] = L["OUTLINE"],
	["THICKOUTLINE"] = L["THICKOUTLINE"],
	["MONOCHROME"] = L["MONOCHROME"],
}

function RaidInviter:GetOptions()
	local options = { 
		name = "RaidInviter",
		handler = RaidInviter,
		type='group',
		childGroups ='tree',
		args = {
			debug = {
				type = 'toggle',
				name = L["Debug mode"],
				desc = L["help_debug"],
				get = "debugQuery",
				set = "ActivateDebug",
				order = 9,
			},
			config = {
				type = 'execute',
				name = L["Configure Options"],
				desc = L["help_config"],
				func = "OpenConfig",
				order = 13,
			},
			version = {
				type = 'execute',
				name = L["Version"],
				desc = L["help_version"],
				func = "DisplayVersion",
				order = 15,
			},
			help = {
				type = 'description',
				name = L["help"],
				guiHidden = true,
				order = 16,
			},
		},
	}
	return options
end

function RaidInviter:ActivateDebug()
	self.db.char.debug = not self.db.char.debug
	if (self.db.char.debug) then
		self:Print(L["config_debug_on"])
	else
		self:Print(L["config_debug_off"])
	end
end

function RaidInviter:debugQuery()
	return self.db.char.debug
end

function RaidInviter:FinishedMoving(var, frame)
	local point, relativeTo, relativePoint, xOffset, yOffset = frame:GetPoint();
	var.point = point
	var.relativeTo = relativeTo
	var.relativePoint = relativePoint
	var.xOffset = xOffset
	var.yOffset = yOffset
end

function RaidInviter:GetWidth()
    return self.db.char.fWidth
end

function RaidInviter:GetScale()
    return self.db.char.scale
end

function RaidInviter:SetScale(info,newValue)
	self.db.char.scale = newValue
	self.BagFrame:SetScale(self.db.char.scale)
	self:Print("Scale set to : "..self.db.char.scale)
end

function RaidInviter:OpenConfig()
	  if InterfaceOptionsFrame_OpenToCategory then
	    InterfaceOptionsFrame_OpenToCategory("RaidInviter");
    else
        InterfaceOptionsFrame_OpenToFrame("RaidInviter");
    end
end